
Base Language - Feature #4352

finish progress.lang.apperror and progress.lang.syserror

10/15/2019 09:39 AM - Constantin Asofiei

Status: Rejected Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to Base Language - Feature #3751: implement support for OO 4GL and st... Closed

Related to Base Language - Feature #4373: finish core OO 4GL support New

Related to Base Language - Bug #5761: replace ErrorManager.displayError with ... New

Related to Base Language - Bug #4602: fixes for OO 4GL and structured error h... New

History

#1 - 10/15/2019 09:39 AM - Constantin Asofiei

- Related to Feature #3751: implement support for OO 4GL and structured error handling added

#2 - 10/15/2019 09:40 AM - Constantin Asofiei

apperror vs syserror - these weren't tested comprehensively, the support is pretty good, but when combined with ROUTINE-LEVEL or BLOCK-LEVEL

statements, we may have missing issues (as I recall, we need to convert ERROR condition to SysError class).  AppError is used at least by RETURN

ERROR statements.

We need to test and fix any deviations.

This will complete both ON THROW and UNDO THROW.

#3 - 10/30/2019 09:56 AM - Greg Shah

- Related to Feature #4373: finish core OO 4GL support added

#4 - 10/21/2021 01:29 PM - Greg Shah

- Related to Bug #5761: replace ErrorManager.displayError with recordOrThrowError and fix recordOrShowError to morph into a recordOrThrowError

in certain cases. added

#5 - 06/02/2022 03:45 PM - Greg Shah

- Related to Bug #4602: fixes for OO 4GL and structured error handling  added

#6 - 06/02/2022 03:45 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Rejected

The work for this is included in #4602.
